"use strict";
/**
 * 一些默认的样式配置
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TEXT_SAFE_WIDTH = exports.MAX_TEXT_WIDTH = exports.SLIDER_CHANGE = exports.TEXT_STYLE = exports.HANDLER_STYLE = exports.DEFAULT_HANDLER_HEIGHT = exports.DEFAULT_HANDLER_WIDTH = exports.BAR_STYLE = exports.SLIDER_BAR_HEIGHT = exports.SLIDER_BAR_LINE_GAP = exports.FOREGROUND_STYLE = exports.BACKGROUND_STYLE = exports.DEFAULT_TREND_STYLE = exports.ACTIVE_TREND_STYLE = void 0;
exports.ACTIVE_TREND_STYLE = {
    isArea: true,
    lineStyle: {
        stroke: '#569CFF',
        lineWidth: 0.5,
    },
    areaStyle: {
        fill: '#3382F1',
        opacity: 0.07,
    },
};
exports.DEFAULT_TREND_STYLE = {
    isArea: true,
    lineStyle: {
        stroke: '#B8C2D1',
        lineWidth: 0.5,
    },
    areaStyle: {
        fill: '#D8DFEA',
        opacity: 0.24,
    },
};
exports.BACKGROUND_STYLE = {
    fill: '#416180',
    opacity: 0.05,
};
exports.FOREGROUND_STYLE = {
    fill: '#3485F8',
    opacity: 0.06,
    stroke: '#4E83CD',
    strokeOpacity: 0.3,
    lineWidth: 0.8,
    brushRatio: 3 / 4,
};
exports.SLIDER_BAR_LINE_GAP = 4;
exports.SLIDER_BAR_HEIGHT = 6;
exports.BAR_STYLE = {
    height: exports.SLIDER_BAR_HEIGHT,
    fill: '#DEE6F2',
    highLightFill: '#CBDEF8',
    stroke: '#FFF',
    lineWidth: 1.2,
    cursor: 'move',
    radius: [2, 2, 0, 0],
};
exports.DEFAULT_HANDLER_WIDTH = 6;
exports.DEFAULT_HANDLER_HEIGHT = 12;
exports.HANDLER_STYLE = {
    width: exports.DEFAULT_HANDLER_WIDTH,
    height: exports.DEFAULT_HANDLER_HEIGHT,
    fill: '#FFF',
    stroke: '#A6BDE1',
    radius: 2,
    opacity: 1,
    cursor: 'ew-resize',
    // 高亮的颜色
    highLightFill: '#3485F8',
    highLightStroke: '#3485F8',
};
exports.TEXT_STYLE = {
    textBaseline: 'middle',
    fill: '#000',
    opacity: 0.45,
    padding: 2,
};
exports.SLIDER_CHANGE = 'sliderchange';
exports.MAX_TEXT_WIDTH = 60;
exports.TEXT_SAFE_WIDTH = 4;
//# sourceMappingURL=constant.js.map