import { IGroup } from '@antv/g-base';
import GroupComponent from '../abstract/group-component';
import { GroupComponentCfg } from '../types';
interface IStyle {
    fill?: string;
    stroke?: string;
    radius?: number;
    opacity?: number;
    cursor?: string;
    highLightFill?: string;
    /** 框选占比 */
    brushRatio?: number;
}
export interface ForegroundCfg extends GroupComponentCfg {
    readonly x: number;
    readonly y: number;
    readonly width: number;
    readonly height: number;
    readonly foregroundStyle?: IStyle;
}
export declare class Foreground extends GroupComponent<ForegroundCfg> {
    getDefaultCfg(): {
        name: string;
        width: number;
        height: number;
        foregroundStyle: {
            fill: string;
            opacity: number;
            stroke: string;
            strokeOpacity: number;
            lineWidth: number;
            brushRatio: number;
        };
        barStyle: {
            height: number;
            fill: string;
            highLightFill: string;
            stroke: string;
            lineWidth: number;
            cursor: string;
            radius: number[];
        };
        container: any;
        shapesMap: {};
        group: any;
        capture: boolean;
        isRegister: boolean;
        isUpdating: boolean;
        isInit: boolean;
        id: string;
        type: string;
        locationType: string;
        offsetX: number;
        offsetY: number;
        animate: boolean;
        updateAutoRender: boolean;
        animateOption: {
            appear: any;
            update: {
                duration: number;
                easing: string;
            };
            enter: {
                duration: number;
                easing: string;
            };
            leave: {
                duration: number;
                easing: string;
            };
        };
        events: any;
        defaultCfg: {};
        visible: boolean;
    };
    protected renderInner(group: IGroup): void;
    private drawBarLine;
    protected initEvent(): void;
    private bindEvents;
    private draw;
}
export {};
