"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRectMaskAttrs = exports.updateMask = exports.createMask = void 0;
var tslib_1 = require("tslib");
function createMask(group, maskType, maskAttrs) {
    var maskShape = group.addShape({
        type: maskType,
        name: 'component-mask',
        attrs: tslib_1.__assign({ fill: '#569CFF', opacity: 0.16 }, maskAttrs),
    });
    return maskShape;
}
exports.createMask = createMask;
function updateMask(shape, maskAttrs) {
    shape.attr(maskAttrs);
    return shape;
}
exports.updateMask = updateMask;
function getRectMaskAttrs(start, end) {
    var x = Math.min(start.x, end.x);
    var y = Math.min(start.y, end.y);
    var width = Math.abs(end.x - start.x);
    var height = Math.abs(end.y - start.y);
    return {
        x: x,
        y: y,
        width: width,
        height: height,
    };
}
exports.getRectMaskAttrs = getRectMaskAttrs;
//# sourceMappingURL=mask.js.map